GET /stacks/{id}
Retrieves a specific infrastructure stack by ID. A stack represents the cloud infrastructure configuration (VPC, subnets, security groups, storage buckets) in your cloud account where runners will be deployed. Stacks can be of different types: - **ec2**: AWS EC2 infrastructure - **gce**: Google Cloud Platform infrastructure - **avm**: Azure Virtual Machines infrastructure
In: header
Path Parameters
Stack ID
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/stacks/string"{ "alias": "string", "configurations": { "avm_configurations": { "cache_bucket": "string", "observability_bucket": "string", "resource_group": "string", "security_group": "string", "storage_account": "string", "subnets": [ { "az": "string", "id": "string", "is_public": true } ], "tmpl_params": {}, "vnet": "string" }, "default_tags": { "property1": "string", "property2": "string" }, "ec2_configurations": { "cache_bucket": "string", "docker_builder_security_group": "string", "observability_bucket": "string", "role_arn": "string", "security_group": [ "string" ], "subnets": [ { "az": "string", "id": "string", "is_public": true } ], "tmpl_params": {}, "vpc_id": "string" }, "gce_configurations": { "cache_bucket": "string", "observability_bucket": "string", "security_group": [ "string" ], "storage_service_account_email": "string", "subnets": [ { "az": "string", "id": "string", "is_public": true } ], "tmpl_params": {}, "vpc_id": "string" }, "kubevirt_configurations": { "namespace": "string", "registry_secret": "string" }, "nomad_configurations": { "data_center": "string", "data_centers": [ "string" ], "host": "string", "meta_filters": { "property1": "string", "property2": "string" } }, "orchard_configurations": { "host": "string", "vm_password": "string", "vm_username": "string" }, "r2_configurations": { "access_key": "string", "access_key_secret": "string", "account_id": "string", "cache_bucket": "string" } }, "connection_id": "string", "created_at": "string", "id": "string", "kind": "kubevirt", "last_reconciled_at": "string", "latest_version": "string", "meta": { "ec2_configurations": { "aws_cloudformation_stack_id": "string" }, "is_preferred": true }, "onboarding_mode": "import", "organization_id": "string", "region": "string", "status": "active", "version": "string"}DELETE /stacks/{id}
Deletes an infrastructure stack from the authenticated organization. **Warning:** This operation will: 1. Remove all runners associated with this stack 2. Optionally deprovision cloud resources (VPC, subnets, storage buckets) depending on the onboarding mode 3. This action cannot be undone
GET /stacks/{id}/actions
Lists all actions (operations) that have been performed on a stack. Actions include setup, upgrade, sync, and other infrastructure operations.